<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="box no-border">
    <alignment-step-box-header step="$ctrl.step"></alignment-step-box-header>
    <form name="$ctrl.form">
        <div class="box-body">
            <div class="form-group required">
                <label>Sélection de l'identifiant</label>
                <div>
                    <label class="radio-inline"><input type="radio" ng-model="$ctrl.data.type" value="extract">Identifiant extrait du XML</label>
                    <label class="radio-inline"><input type="radio" ng-model="$ctrl.data.type" value="constant">Identifiant constant</label>
                </div>
            </div>

            <!-- XPATH -->
            <div ng-if="$ctrl.data.type == 'extract'">
                <div class="form-group required">
                    <label>Chemin d'extraction</label><br>
                    <xpath-input ng-model="$ctrl.data.extract" schema="$ctrl.navigator.xpathSchema" context="$ctrl.xpathContext" selector="value"></xpath-input>
                </div>
            </div>

            <!-- CONSTANT -->
            <div ng-if="$ctrl.data.type == 'constant'">
                <div class="form-group required">
                    <label>Identifiant</label>
                    <input type="text" class="form-control" ng-model="$ctrl.data.constant.value">
                </div>
            </div>
        </div>
    </form>
</div>

<div class="box no-border" ng-if="$ctrl.navigator.debug">
    <!-- /.box-header -->
    <div class="box-header with-border">
        <h3 class="box-title">Data</h3>
    </div>
    <div class="box-body">
        <pre>{{ $ctrl.data|json }}</pre>
    </div>
</div>


